libgnomecanvas-devel-2.30.3-51.6.x86_64.rpm


Advertisement

Description

libgnomecanvas-devel - Include Files and Libraries mandatory for Development

Property Value
Distribution openSUSE Tumbleweed
Repository GNOME Factory x86_64 + i586
Package filename libgnomecanvas-devel-2.30.3-51.6.x86_64.rpm
Package name libgnomecanvas-devel
Package version 2.30.3
Package release 51.6
Package architecture x86_64
Package type rpm
Category Development/Libraries/GNOME
Homepage https://gitlab.gnome.org/Archive/libgnomecanvas
License GPL-2.0-or-later AND LGPL-2.1-or-later
Maintainer -
Download size 67.42 KB
Installed size 595.54 KB
This package contains all necessary include files and libraries needed
to develop applications that require these.

Alternatives

Package Version Architecture Repository
libgnomecanvas-devel-2.30.3-63.3.i586.rpm 2.30.3 i586 GNOME Next
libgnomecanvas-devel-2.30.3-63.3.x86_64.rpm 2.30.3 x86_64 GNOME Next
libgnomecanvas-devel-2.30.3-54.3.i586.rpm 2.30.3 i586 GNOME Factory
libgnomecanvas-devel-2.30.3-18.1.i586.rpm 2.30.3 i586 openSUSE Oss
libgnomecanvas-devel-2.30.3-18.1.x86_64.rpm 2.30.3 x86_64 openSUSE Oss
libgnomecanvas-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
libgnomecanvas-2-0 = 2.30.3
pkgconfig(gail) -
pkgconfig(gtk+-2.0) -
pkgconfig(libart-2.0) -
pkgconfig(pango) -
pkgconfig(pangoft2) -

Provides

Name Value
libgnomecanvas-devel = 2.30.3-51.6
libgnomecanvas-devel(x86-64) = 2.30.3-51.6
libgnomecanvas-doc = 2.30.3
pkgconfig(libgnomecanvas-2.0) = 2.30.3

Obsoletes

Name Value
libgnomecanvas-doc < 2.30.3

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libgnomecanvas-devel-2.30.3-51.6.x86_64.rpm
Source Package libgnomecanvas-2.30.3-51.6.src.rpm

Install Howto

  1. Add the GNOME Factory repository:
    # zypper addrepo http://widehat.opensuse.org/repositories/GNOME:/Factory/openSUSE_Factory/ gnome-factory
  2. Install libgnomecanvas-devel rpm package:
    # zypper install libgnomecanvas-devel

Files

Path
/usr/include/libgnomecanvas-2.0/
/usr/include/libgnomecanvas-2.0/libgnomecanvas/gnome-canvas-bpath.h
/usr/include/libgnomecanvas-2.0/libgnomecanvas/gnome-canvas-clipgroup.h
/usr/include/libgnomecanvas-2.0/libgnomecanvas/gnome-canvas-line.h
/usr/include/libgnomecanvas-2.0/libgnomecanvas/gnome-canvas-path-def.h
/usr/include/libgnomecanvas-2.0/libgnomecanvas/gnome-canvas-pixbuf.h
/usr/include/libgnomecanvas-2.0/libgnomecanvas/gnome-canvas-polygon.h
/usr/include/libgnomecanvas-2.0/libgnomecanvas/gnome-canvas-rect-ellipse.h
/usr/include/libgnomecanvas-2.0/libgnomecanvas/gnome-canvas-rich-text.h
/usr/include/libgnomecanvas-2.0/libgnomecanvas/gnome-canvas-shape.h
/usr/include/libgnomecanvas-2.0/libgnomecanvas/gnome-canvas-text.h
/usr/include/libgnomecanvas-2.0/libgnomecanvas/gnome-canvas-util.h
/usr/include/libgnomecanvas-2.0/libgnomecanvas/gnome-canvas-widget.h
/usr/include/libgnomecanvas-2.0/libgnomecanvas/gnome-canvas.h
/usr/include/libgnomecanvas-2.0/libgnomecanvas/libgnomecanvas.h
/usr/lib64/libgnomecanvas-2.so
/usr/lib64/pkgconfig/libgnomecanvas-2.0.pc
/usr/share/gtk-doc/
/usr/share/gtk-doc/html/
/usr/share/gtk-doc/html/libgnomecanvas/GnomeCanvas.html
/usr/share/gtk-doc/html/libgnomecanvas/GnomeCanvasBpath.html
/usr/share/gtk-doc/html/libgnomecanvas/GnomeCanvasClipgroup.html
/usr/share/gtk-doc/html/libgnomecanvas/GnomeCanvasEllipse.html
/usr/share/gtk-doc/html/libgnomecanvas/GnomeCanvasGroup.html
/usr/share/gtk-doc/html/libgnomecanvas/GnomeCanvasItem.html
/usr/share/gtk-doc/html/libgnomecanvas/GnomeCanvasLine.html
/usr/share/gtk-doc/html/libgnomecanvas/GnomeCanvasPixbuf.html
/usr/share/gtk-doc/html/libgnomecanvas/GnomeCanvasPolygon.html
/usr/share/gtk-doc/html/libgnomecanvas/GnomeCanvasRE.html
/usr/share/gtk-doc/html/libgnomecanvas/GnomeCanvasRect.html
/usr/share/gtk-doc/html/libgnomecanvas/GnomeCanvasRichText.html
/usr/share/gtk-doc/html/libgnomecanvas/GnomeCanvasShape.html
/usr/share/gtk-doc/html/libgnomecanvas/GnomeCanvasWidget.html
/usr/share/gtk-doc/html/libgnomecanvas/ch01.html
/usr/share/gtk-doc/html/libgnomecanvas/ch02.html
/usr/share/gtk-doc/html/libgnomecanvas/home.png
/usr/share/gtk-doc/html/libgnomecanvas/index.html
/usr/share/gtk-doc/html/libgnomecanvas/index.sgml
/usr/share/gtk-doc/html/libgnomecanvas/left.png
/usr/share/gtk-doc/html/libgnomecanvas/libgnomecanvas-gnome-canvas-path-def.html
/usr/share/gtk-doc/html/libgnomecanvas/libgnomecanvas-gnome-canvas-text.html
/usr/share/gtk-doc/html/libgnomecanvas/libgnomecanvas-gnome-canvas-util.html
/usr/share/gtk-doc/html/libgnomecanvas/libgnomecanvas.devhelp
/usr/share/gtk-doc/html/libgnomecanvas/libgnomecanvas.devhelp2
/usr/share/gtk-doc/html/libgnomecanvas/right.png
/usr/share/gtk-doc/html/libgnomecanvas/style.css
/usr/share/gtk-doc/html/libgnomecanvas/up.png

Changelog

2019-08-09 - Bjørn Lie <bjorn.lie@gmail.com>
- Align with what configure checks for:
+ Drop intltool and libart_lgpl-devel BuildRequires.
+ Stop passing enable-glade to configure, drop libglade2-devel
BuildRequires, no longer build glade support.
+ Add pkgconfig(gail), pkgconfig(glib-2.0), pkgconfig(gtk+-2.0),
pkgconfig(libart-2.0), pkgconfig(pango) and pkgconfig(pangoft2)
BuildRequires.
- Use modern macros.
- Drop conditional for no longer supported versions of openSUSE.
2018-02-28 - dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
2014-10-07 - jengelh@inai.de
- Do parallel build with %_smp_mflags.
- Remove old specfile section (%clean).
- Remove fdupes call and related fdupes BuildRequires: it is
currently not deduplicating anything.
2013-09-21 - dimstar@opensuse.org
- Change RPM Group of shared library package to System/Libraries.
2013-03-01 - dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
2011-05-04 - vuntz@opensuse.org
- Update to version 2.30.3:
+ Fix delivering of scroll events again
+ Updated translations.
- Change libgnomecanvas Obsoletes from <= to < now that we have a
new upstream version.
2010-10-11 - vuntz@opensuse.org
- Update packaging to use the shared library packaging policy:
+ Create libgnomecanvas-2-0 subpackage.
+ Add Provides/Obsoletes for libgnomecanvas to
libgnomecanvas-2-0.
+ Update baselibs.conf accordingly.
2010-09-27 - vuntz@opensuse.org
- Update to version 2.30.2:
+ Updated translations.
2010-08-31 - aj@suse.de
- Recommend instead of require lang package since it's not mandatory.
2010-04-01 - vuntz@opensuse.org
- Update to version 2.30.1:
+ Fix background drawing

See Also

Package Description
libgnomecanvas-lang-2.30.3-51.6.noarch.rpm Translations for package libgnomecanvas
libgnomecanvas-lang-2.30.3-54.3.noarch.rpm Translations for package libgnomecanvas
libgnomekbd-devel-3.26.1-86.3.x86_64.rpm GNOME Keyboard Library
libgnomekbd-devel-3.26.1-89.1.i586.rpm GNOME Keyboard Library
libgnomekbd-lang-3.26.1-86.3.noarch.rpm Translations for package libgnomekbd
libgnomekbd-lang-3.26.1-89.1.noarch.rpm Translations for package libgnomekbd
libgnomekbd8-3.26.1-86.3.x86_64.rpm GNOME Keyboard Library
libgnomekbd8-3.26.1-89.1.i586.rpm GNOME Keyboard Library
libgnomesu-2.0.3-430.5.x86_64.rpm GNOME su Library
libgnomesu-2.0.3-433.1.i586.rpm GNOME su Library
libgnomesu-devel-2.0.3-430.5.x86_64.rpm Development files for libgnomesu
libgnomesu-devel-2.0.3-433.1.i586.rpm Development files for libgnomesu
libgnomesu-lang-2.0.3-430.5.noarch.rpm Translations for package libgnomesu
libgnomesu-lang-2.0.3-433.1.noarch.rpm Translations for package libgnomesu
libgnomesu0-2.0.3-430.5.x86_64.rpm GNOME su Library
Advertisement
Advertisement